Module Module_Sleep

// IMPORTANT: dont forget "Config WDT = On" in main program

// let compiler know we are using WDT - don't forget
// to set WDT fuse when programming into MCU!... 
#option WDT = true  

// generic sleep command...
Public Inline Sub Sleep()
   ASM
   Sleep
   End ASM
End Sub

// Sleep for pSeconds - assumes default WDT postscaler of
// 1:128 - note this is an approximate time and is influenced
// by such things as temperature - see datasheet for more details -
// granularity is approx 2 seconds...
Public Sub Sleep(pSeconds As Word) 
    Inc(pSeconds)
    pSeconds = pSeconds >> 1
    While pSeconds > 0
        Sleep
        Dec(pSeconds)
    Wend
End Sub
